givelem.h File Reference

definition of a reference to an object. More...

## Data Structures

struct | ElemRef< T >
| Elem Ref. More...
struct | ElemConstRef< T >
| Elem const Ref. More...
struct | Pair< T1, T2 >
| Pair. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Functions

template<class T1, class T2>
std::ostream & | operator<< (std::ostream &o, const Pair< T1, T2 > &p)
| IO.
template<class T1, class T2>
std::istream & | operator>> (std::istream &fin, Pair< T1, T2 > &p)
| IO.

## Detailed Description

definition of a reference to an object.